public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/librep/, dev-libs/librep/files/
@ 2016-01-24 19:54 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2016-01-24 19:54 UTC (permalink / raw
  To: gentoo-commits

commit:     7f36cc31e99a64b08ad874daf4840273897bed13
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 19:52:19 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 19:54:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f36cc31

dev-libs/librep: Version bump to 0.92.5

Gentoo-Bug: 570072
* Add '-std=gnu89' to CFLAGS to restore pre-GCC5 inline semantics
* EAPI=6

Package-Manager: portage-2.2.27

 dev-libs/librep/Manifest                           |  1 +
 .../librep/files/librep-0.92.0-disable-elisp.patch |  4 +-
 dev-libs/librep/librep-0.92.5.ebuild               | 77 ++++++++++++++++++++++
 3 files changed, 80 insertions(+), 2 deletions(-)

diff --git a/dev-libs/librep/Manifest b/dev-libs/librep/Manifest
index fcafb6f..c0e0082 100644
--- a/dev-libs/librep/Manifest
+++ b/dev-libs/librep/Manifest
@@ -1,2 +1,3 @@
 DIST librep-0.92.2.1.tar.xz 608988 SHA256 47bb628a377e2c7cb6e22f3e691a88d88af83570ca99b0d7300a5fbcb46b6663 SHA512 7535fbf3af3b6775dfe740623abd09ff48a38641c3be52bbe84ef0b14d37455aa73f3a9941b3a814b04f203664c0e18f1add2111ac968fbf1f59fa4253f6a974 WHIRLPOOL ff59301e924b176e6944a79c1be5635d7d8845a89a06c811cdc891f9edcc4179f555ebbd8092ff0e2194763ab2f554fa224b41b5ec2515468fcfb211b887f747
 DIST librep-0.92.3.tar.xz 607128 SHA256 45c98a5bbdfde4f1d98e3839b319d9ae15857d2d1ae8e3838d9a18d53f3e8b85 SHA512 d65b7a418a2782307c7afa74bba1cc9b690c0fe37938151e7ead3da08cba52d2f5bd2803de22f426b75a353f50287a5ce727c98fc23abbabf9e54b3389f04103 WHIRLPOOL 1ae547f4d795377d77f0fedc67cf3cffc2daf49295798aad088152cdef454c74226e9e9e7f703b0506cd4e1c6cd2b2f321ab8f4cd81f691e1d2d11612cf2c132
+DIST librep_0.92.5.tar.xz 638228 SHA256 22da9bab38d161309a593c36f2168fb78de8a8a93f171f08dee5ef89e22b5e7f SHA512 210fa3daac876dba68084f9e27996354e054ef0993d8d8a4a0498d742285b97f21eaaec218ba6439464c908f24cd8318f0d3edbab5a373b7c8057c8fc910ca55 WHIRLPOOL e1fce42af42fc09e81a609ccf92bb17e8ce8648ba048b3b1a935820a3d25ba41e0c04c4a61da6149ef0695b6f03156755876922d4a09d5dce333b463be927738

diff --git a/dev-libs/librep/files/librep-0.92.0-disable-elisp.patch b/dev-libs/librep/files/librep-0.92.0-disable-elisp.patch
index 6f7b2f1..03cec6f 100644
--- a/dev-libs/librep/files/librep-0.92.0-disable-elisp.patch
+++ b/dev-libs/librep/files/librep-0.92.0-disable-elisp.patch
@@ -1,5 +1,5 @@
---- Makefile.in.old	2011-07-25 14:08:18.000000000 +0200
-+++ Makefile.in	2011-07-25 14:09:05.000000000 +0200
+--- librep_0.92.5/Makefile.in.old	2011-07-25 14:08:18.000000000 +0200
++++ librep_0.92.5/Makefile.in	2011-07-25 14:09:05.000000000 +0200
 @@ -53,15 +53,13 @@
  	$(INSTALL_SCRIPT) libtool $(DESTDIR)$(repcommonexecdir)
  	$(INSTALL_DATA) rules.mk $(DESTDIR)$(repcommonexecdir)

diff --git a/dev-libs/librep/librep-0.92.5.ebuild b/dev-libs/librep/librep-0.92.5.ebuild
new file mode 100644
index 0000000..d5d6c92
--- /dev/null
+++ b/dev-libs/librep/librep-0.92.5.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit elisp-common eutils flag-o-matic
+
+DESCRIPTION="Shared library implementing a Lisp dialect"
+HOMEPAGE="http://librep.sourceforge.net/"
+SRC_URI="http://download.tuxfamily.org/librep/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="emacs readline"
+
+RDEPEND="
+	>=sys-libs/gdbm-1.8.0
+	emacs? ( virtual/emacs )
+	readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}
+	sys-apps/texinfo
+	app-arch/xz-utils
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.92.0-disable-elisp.patch"
+)
+
+S="${WORKDIR}/${PN}_${PV}"
+
+src_prepare() {
+	# fix #570072 by restoring pre-GCC5 inline semantics
+	append-cflags -std=gnu89
+	default
+}
+
+src_configure() {
+	econf \
+		--libexecdir=/usr/$(get_libdir) \
+		--without-gmp \
+		--without-ffi \
+		--disable-static \
+		$(use_with readline)
+}
+
+src_compile() {
+	default
+
+	if use emacs; then
+		elisp-compile rep-debugger.el || die "elisp-compile failed"
+	fi
+}
+
+src_install() {
+	default
+	prune_libtool_files --modules
+
+	docinto doc
+	dodoc doc/*
+
+	if use emacs; then
+		elisp-install ${PN} rep-debugger.{el,elc} || die "elisp-install failed"
+		elisp-site-file-install "${FILESDIR}/50${PN}-gentoo.el" \
+			|| die "elisp-site-file-install failed"
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2016-01-24 19:54 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-01-24 19:54 [gentoo-commits] repo/gentoo:master commit in: dev-libs/librep/, dev-libs/librep/files/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox